NXOpen.UF.ModlFeatures.CreateCone1

ModlFeatures.CreateCone1()

Refer to UF_MODL_create_cone1 for documentation.

Signature: CreateCone1(sign, origin, height, diam, direction)

Parameters:
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • origin (list of float) – Origin for cone to be created.
  • height (str) – Height for cone to be created.
  • diam (list of str) – Diameters for cone to be created. [0] = base diameter [1] = top diameter
  • direction (list of float) – Direction vector for cone to be created.
Returns:

Feature object identifier tag of created cone.

Return type:

Tag

License requirements: SOLIDS MODELING